You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     w...@freebsd.org
Last committer: sunp...@freebsd.org
Ident:          $FreeBSD: head/devel/py-pygit2/Makefile 402543 2015-11-28 
16:04:56Z sunpoet $
Log URL:        
http://beefy6.nyi.freebsd.org/data/101amd64-default/411129/logs/py27-pygit2-0.23.2.log
Build URL:      
http://beefy6.nyi.freebsd.org/build.html?mastername=101amd64-default&build=411129
Log:

====>> Building devel/py-pygit2
build started at Tue Mar 15 01:24:18 UTC 2016
port directory: /usr/ports/devel/py-pygit2
building for: FreeBSD 101amd64-default-job-23 10.1-RELEASE-p30 FreeBSD 
10.1-RELEASE-p30 amd64
maintained by: w...@freebsd.org
Makefile ident:      $FreeBSD: head/devel/py-pygit2/Makefile 402543 2015-11-28 
16:04:56Z sunpoet $
Poudriere version: 3.1.12
Host OSVERSION: 1100097
Jail OSVERSION: 1001000

---Begin Environment---
SHELL=/bin/csh
UNAME_v=FreeBSD 10.1-RELEASE-p30
UNAME_r=10.1-RELEASE-p30
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
OPSYS=FreeBSD
ARCH=amd64
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/101amd64-default/ref
UID=0
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=py27-pygit2-0.23.2
OSREL=10.1
_OSRELEASE=10.1-RELEASE-p30
PYTHONBASE=/usr/local
OLDPWD=/
_SMP_CPUS=24
PWD=/usr/local/poudriere/data/.m/101amd64-default/ref/.p/pool
HAVE_COMPAT_IA32_KERN=YES LINUX_OSRELEASE=2.6.32
MASTERNAME=101amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.12
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=1001000
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PYTHON="/usr/local/bin/python2.7" 
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/py-pygit2/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/py-pygit2/work  
HOME=/wrkdirs/usr/ports/devel/py-pygit2/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
LIBGIT2=/usr/local XDG_DATA_HOME=/wrkdirs/usr/ports/devel/py-pygit2/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/py-pygit2/work  
HOME=/wrkdirs/usr/ports/devel/py-pygit2/work TMPDIR="/tmp" NO_PIE=yes 
WITHOUT_DEBUG_FILES=yes WITHOUT_KERNEL_SYMBOLS=yes SHELL=/bin/sh NO_LINT=YES 
LDSHARED="cc -shared" PYTHONDONTWRITEBYTECODE= PYTHONOPTIMIZE= 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  
LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe 
-fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  
BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PYTHON_INCLUDEDIR=include/python2.7
PYTHON_LIBDIR=lib/python2.7
PYTHON_PLATFORM=freebsd10
PYTHON_SITELIBDIR=lib/python2.7/site-packages
PYTHON_VER=2.7
PYTHON_VERSION=python2.7
OSREL=10.1
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/pygit2"
EXAMPLESDIR="share/examples/pygit2"
DATADIR="share/pygit2"
WWWDIR="www/pygit2"
ETCDIR="etc/pygit2"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/pygit2
DOCSDIR=/usr/local/share/doc/pygit2
EXAMPLESDIR=/usr/local/share/examples/pygit2
WWWDIR=/usr/local/www/pygit2
ETCDIR=/usr/local/etc/pygit2
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License GPLv2 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   py27-pygit2-0.23.2 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.6.4_1.txz
[101amd64-default-job-23] Installing pkg-1.6.4_1...
[101amd64-default-job-23] Extracting pkg-1.6.4_1: .......... done
===>   py27-pygit2-0.23.2 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of py27-pygit2-0.23.2
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by py27-pygit2-0.23.2 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by py27-pygit2-0.23.2 for building
=> SHA256 Checksum OK for pygit2-0.23.2.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by py27-pygit2-0.23.2 for building
===>  Extracting for py27-pygit2-0.23.2
=> SHA256 Checksum OK for pygit2-0.23.2.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for py27-pygit2-0.23.2
===========================================================================
=======================<phase: build-depends  >============================
===>   py27-pygit2-0.23.2 depends on package: py27-cffi>0 - not found
===>   Installing existing package /packages/All/py27-cffi-1.2.1.txz
[101amd64-default-job-23] Installing py27-cffi-1.2.1...
[101amd64-default-job-23] `-- Installing python27-2.7.11_1...
[101amd64-default-job-23] |   `-- Installing libffi-3.2.1...
[101amd64-default-job-23] |   | `-- Installing indexinfo-0.2.4...
[101amd64-default-job-23] |   | `-- Extracting indexinfo-0.2.4: .... done
[101amd64-default-job-23] |   `-- Extracting libffi-3.2.1: .......... done
[101amd64-default-job-23] |   `-- Installing gettext-runtime-0.19.7...
[101amd64-default-job-23] |   `-- Extracting gettext-runtime-0.19.7: .......... 
done
[101amd64-default-job-23] `-- Extracting python27-2.7.11_1: .......... done
[101amd64-default-job-23] `-- Installing py27-pycparser-2.10...
[101amd64-default-job-23] |   `-- Installing py27-setuptools27-20.0...
[101amd64-default-job-23] |   `-- Extracting py27-setuptools27-20.0: .......... 
done
[101amd64-default-job-23] `-- Extracting py27-pycparser-2.10: .......... done
[101amd64-default-job-23] Extracting py27-cffi-1.2.1: .......... done
Message from python27-2.7.11_1:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
===>   py27-pygit2-0.23.2 depends on package: py27-cffi>0 - found
===>   Returning to build of py27-pygit2-0.23.2
===>   py27-pygit2-0.23.2 depends on package: py27-setuptools27>0 - found
===>   py27-pygit2-0.23.2 depends on file: /usr/local/bin/python2.7 - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   py27-pygit2-0.23.2 depends on shared library: libgit2.so - not found
===>   Installing existing package /packages/All/libgit2-0.24.0.txz
[101amd64-default-job-23] Installing libgit2-0.24.0...
[101amd64-default-job-23] `-- Installing curl-7.47.1...
[101amd64-default-job-23] |   `-- Installing ca_root_nss-3.22.2...
[101amd64-default-job-23] |   `-- Extracting ca_root_nss-3.22.2: ....... done
[101amd64-default-job-23] `-- Extracting curl-7.47.1: .......... done
[101amd64-default-job-23] `-- Installing libssh2-1.6.0_1,2...
[101amd64-default-job-23] `-- Extracting libssh2-1.6.0_1,2: .......... done
[101amd64-default-job-23] Extracting libgit2-0.24.0: .......... done
Message from ca_root_nss-3.22.2:
********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
===>   py27-pygit2-0.23.2 depends on shared library: libgit2.so - found 
(/usr/local/lib/libgit2.so)
===>   Returning to build of py27-pygit2-0.23.2
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for py27-pygit2-0.23.2
running config
===========================================================================
=======================<phase: build          >============================
===>  Building for py27-pygit2-0.23.2
running build
running build_py
creating build
creating build/lib.freebsd-10.1-RELEASE-p30-amd64-2.7
creating build/lib.freebsd-10.1-RELEASE-p30-amd64-2.7/pygit2
copying pygit2/blame.py -> build/lib.freebsd-10.1-RELEASE-p30-amd64-2.7/pygit2
copying pygit2/index.py -> build/lib.freebsd-10.1-RELEASE-p30-amd64-2.7/pygit2
copying pygit2/refspec.py -> build/lib.freebsd-10.1-RELEASE-p30-amd64-2.7/pygit2
copying pygit2/credentials.py -> 
build/lib.freebsd-10.1-RELEASE-p30-amd64-2.7/pygit2
copying pygit2/__init__.py -> 
build/lib.freebsd-10.1-RELEASE-p30-amd64-2.7/pygit2
copying pygit2/repository.py -> 
build/lib.freebsd-10.1-RELEASE-p30-amd64-2.7/pygit2
copying pygit2/libgit2_build.py -> 
build/lib.freebsd-10.1-RELEASE-p30-amd64-2.7/pygit2
copying pygit2/remote.py -> build/lib.freebsd-10.1-RELEASE-p30-amd64-2.7/pygit2
copying pygit2/settings.py -> 
build/lib.freebsd-10.1-RELEASE-p30-amd64-2.7/pygit2
copying pygit2/py2.py -> build/lib.freebsd-10.1-RELEASE-p30-amd64-2.7/pygit2
copying pygit2/py3.py -> build/lib.freebsd-10.1-RELEASE-p30-amd64-2.7/pygit2
copying pygit2/config.py -> build/lib.freebsd-10.1-RELEASE-p30-amd64-2.7/pygit2
copying pygit2/utils.py -> build/lib.freebsd-10.1-RELEASE-p30-amd64-2.7/pygit2
copying pygit2/submodule.py -> 
build/lib.freebsd-10.1-RELEASE-p30-amd64-2.7/pygit2
copying pygit2/ffi.py -> build/lib.freebsd-10.1-RELEASE-p30-amd64-2.7/pygit2
copying pygit2/errors.py -> build/lib.freebsd-10.1-RELEASE-p30-amd64-2.7/pygit2
copying pygit2/decl.h -> build/lib.freebsd-10.1-RELEASE-p30-amd64-2.7/pygit2
running build_ext
generating cffi module 
'build/temp.freebsd-10.1-RELEASE-p30-amd64-2.7/pygit2._libgit2.c'
creating build/temp.freebsd-10.1-RELEASE-p30-amd64-2.7
building '_pygit2' extension
creating build/temp.freebsd-10.1-RELEASE-p30-amd64-2.7/src
cc -DNDEBUG -O2 -pipe -fstack-protector -fno-strict-aliasing -fPIC 
-I/usr/local/include -I/usr/local/include/python2.7 -c src/note.c -o 
build/temp.freebsd-10.1-RELEASE-p30-amd64-2.7/src/note.o
In file included from src/note.c:32:
In file included from src/utils.h:34:
src/types.h:36:2: error: You need a compatible libgit2 version (v0.23.x)
#error You need a compatible libgit2 version (v0.23.x)
 ^
1 error generated.
error: command 'cc' failed with exit status 1
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/py-pygit2
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to